httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Julian Grunnell" <jgrunn...@firstnet.net.uk>
Subject RE: Help compiling mod_ssl / apache 1.3.23 + mod_auth_mysql / php
Date Wed, 03 Jul 2002 14:51:18 GMT
Thanks Jeff - libz.so + LD_LIBRARY_PATH looked correct, but I managed to
install this as a DSO module instead thus solving the problem.

My next question is about something I've seen before, why when mod_ssl
is applied  do you get:

<snip>
Wed Jul  3 15:21:39 2002] [warn] Loaded DSO libexec/mod_usertrack.so
uses plain Apache 1.3 API, this module might crash under EAPI! (please
recompile it with -DEAPI)
[Wed Jul  3 15:21:39 2002] [warn] Loaded DSO libexec/mod_unique_id.so
uses plain Apache 1.3 API, this module might crash under EAPI! (please
recompile it with -DEAPI)
[Wed Jul  3 15:21:39 2002] [warn] Loaded DSO libexec/mod_setenvif.so
uses plain Apache 1.3 API, this module might crash under EAPI! (please
recompile it with -DEAPI)
<snip>

For all the modules in the httpd.conf file. I've read that this is just
a warning message and can be ignored - does anyone have a definite
answer on this one??

Again, many thanks - Julian.

-----Original Message-----
From: Jeff Beard [mailto:jeff@cyberxape.com] 
Sent: 03 July 2002 14:28
To: users@httpd.apache.org
Subject: Re: Help compiling mod_ssl / apache 1.3.23 + mod_auth_mysql /
php


Just a guess but it looks like maybe your missing libz.so, which is a 
library for compression routines. Very odd, though, since I believe it 
usually installs in a Redhat base install. Also odd that mysql would 
build without it.

Look for the file libz.so and either add the path to its home in 
/etc/ld.so.conf and run ldconfig or put it in the env var
LD_LIBRARY_PATH.

--Jeff

Julian Grunnell wrote:
> Hi - Can anyone help pls with my Apache build?
> 
> Platform = Linux / RedHat
> 
> Mod_auth_mysql = ./configure  --with-apache=../apache_1.3.23 
> --with-mysql=/usr/local/mysql
> 
> Php (DSO) = ./configure  --enable-dbase --enable-ftp --with-gd 
> --with-mysql=/usr/local/mys
> ql --with-xml --enable-track-vars
--with-apxs=/usr/local/apache/bin/apxs 
> --with-
> pdflib --with-zlib-dir=/usr/local/lib
> 
> Mod_ssl=./configure \
> "--prefix=/usr/local/apache" \
> "--enable-module=most" \
> "--enable-shared=max" \
> "--with-apache=/root/progs/apache_1.3.23" \
> "--activate-module=src/modules/auth_mysql/libauth_mysql.a" \
> "--with-ssl=/usr/local/openssl-0.9.6d"
> 
> Without the activate-module for auth_mysql included the build works 
> fine. But with this line I get the following errors after I have run
the 
> configure stage for mod_ssl and I'm prompted to change to the Apache 
> folder and run make / make certificate + make install.
> 
> Make=
> <snip>...
> my_compress.o(.text+0x9a): undefined reference to `uncompress'
> /usr/local/mysql/lib/libmysqlclient.a(my_compress.o): In function 
> `my_compress_alloc':
> my_compress.o(.text+0x12a): undefined reference to `compress'
> collect2: ld returned 1 exit status
> make[2]: *** [target_static] Error 1
> make[2]: Leaving directory `/root/progs/apache_1.3.23/src'
> make[1]: *** [build-std] Error 2
> make[1]: Leaving directory `/root/progs/apache_1.3.23'
> make: *** [build] Error 2
> 
> Any help would be gratefully appreciated - J.
> 
> - Julian Grunnell BSc, 3rd Line Technical Support - Firstnet Services 
> Limited
> 
> - tel: 0113 292 7739 : _____http://www.firstnet.net.uk_ 
> <http://www.firstnet.net.uk/>
> 
> - [ This message subject to:
_http://www.firstnet.net.uk/disclaimer.html_ ]
> 
> 



---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message